Unknown CTCP queries and replies don't work
01/09/2010 11:53 AM - kode54
Assignee: seezer % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.6.0

0S: Any

Description

Currently, CTCP replies other than PING and VERSION are reported to the server status window as "Received unknown CTCP
BLAH by nickluser@host". It also seems, at least from what | gather from #795, that unknown CTCP queries only send the type

name of the query, but not any parameters that follow it.

It would be handy if unknown CTCP replies at least displayed as replies, not queries, and also if they would display the data included
in the reply. That way, the CTCP TIME and FINGER queries built into the client's nick list context menus would actually be useful.

Associated revisions

Revision d329046faaae47c39af14d9019b542b945e628d7 - 01/30/2010 12:47 AM - seezer

Handle unknown CTCP stuff a little bit nicer

- unknown replies are now shown with its arguments

Fixes #889

- arguments to unknown CTCP queries are actually transmitted
Fixes #795

- show target's nick for queries

Revision d329046f - 01/30/2010 12:47 AM - seezer

Handle unknown CTCP stuff a little bit nicer

- unknown replies are now shown with its arguments

Fixes #889

- arguments to unknown CTCP queries are actually transmitted
Fixes #795

- show target's nick for queries

History

#1 - 01/27/2010 10:18 AM - seezer

- Category set to Quassel Core

- Status changed from New to Assigned
- Assignee set to seezer

- Target version set to 0.6.0

#2 - 01/30/2010 01:23 AM - seezer
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset d329046faaae47c39af14d9019b542b945e628d7.
